Subject: [mpls-tp] FW: working group last call ondraft-ietf-mpls-tp-nm-req-01.txt

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 18 May 2009 14:44:35 +0200

-----Original Message-----
From: Romascanu, Dan (Dan) 
Sent: Monday, May 18, 2009 3:32 PM
To: 'tom.petch'; Loa Andersson; [email-masked]; Adrian Farrel; Ross
Callon; George Swallow
Subject: RE: [mpls-tp] working group last call
ondraft-ietf-mpls-tp-nm-req-01.txt

This is not a comment about the specific document in review. I rather
need to disagree with the statement that 'IETF RFC are mostly - some
would say should only be - about protocols.' Some RFC documents and this
one is a good example have operational aspects and/or manageability as
their principal scope. I would argue that even many of the RFCs that
have protocol definition as their principal focus should include
information about operational impact of the protocol and manageability.
It may be that CLI over ssh or a flashing light enhanced by a rotary
dial are part of the deployment model in the Internet of the given
protocol, but this is the kind of decision that the WG needs to get
consensus about.  

Dan

> -----Original Message-----
> From: tom.petch [mailto:[email-masked]]
> Sent: Thursday, May 14, 2009 8:23 PM
> To: Loa Andersson; [email-masked]; Adrian Farrel; Ross Callon; 
> George Swallow
> Cc: Romascanu, Dan (Dan)
> Subject: Re: [mpls-tp] working group last call 
> ondraft-ietf-mpls-tp-nm-req-01.txt
> 
> Loa
> 
> I am struggling to review this document.
> 
> If it were ITU-T G.7793xt (say:-),  I would not have a problem
> 
> But it is an IETF I-D, heading to be an Informational RFC, and IETF 
> RFC are mostly - some would say should only be - about protocols.  
> Some of these requirements clearly impose restrictions on future 
> protocol elements but much - most? - of it reads more like an RFP from

> network operator to NE manufacturer, and have little or no protocol 
> impact.
> 
> And where functions may be achieved by protocol, that is not specified

> as a requirement, so CLI over ssh would do fine, as would a flashing 
> light or a rotary dial on the front cover:-)
> 
> Um, I am stuck.  I wonder if this really should be an RFC at all in 
> its current form.
> 
> Tom Petch
> 
> ----- Original Message -----
> From: "Loa Andersson" <[email-masked]>
> To: <[email-masked]>; <[email-masked]>; <[email-masked]>; 
> <[email-masked]>; <[email-masked]>; "Adrian Farrel" 
> <[email-masked]>; "Ross Callon"
> <[email-masked]>; "George Swallow" <[email-masked]>
> Sent: Monday, May 04, 2009 5:24 PM
> Subject: [mpls-tp] working group last call 
> ondraft-ietf-mpls-tp-nm-req-01.txt
> 
> 
> > ALL,
> >
> > This is to start a two week working group last call on
> >
> > draft-ietf-mpls-tp-nm-req-01.txt
> >
> > Please send your comments to the mpls-tp mailing list.
> >
> > This working group last call is joint between the mpls, ccamp. Pwe3 
> > and l2vpn.
> >
> > The working group lst call ends on May 19th eob.
> >
> > /Loa
> >
> >
> > --
> >
> >
> > Loa Andersson
> >
> > Sr Strategy and Standards Manager    phone:  +46 10 717 52 13
> > Ericsson ///                                 +46 767 72 92 13
> >
> >
> >                                        email:  
> [email-masked]
> >                                                
> [email-masked]
> >                                                [email-masked]
> >
> >
> > _______________________________________________
> > mpls-tp mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/mpls-tp
> 
>